# PSafeDictionary< Key, Base > Class Template Reference

This class defines a thread-safe array of objects. More...

`#include <safecoll.h>`

Inheritance diagram for PSafeDictionary< Key, Base >:

List of all members.

## Public Types

typedef PSafePtr< Base > | value_type

## Detailed Description

### template<class Key, class Base>
class PSafeDictionary< Key, Base >

This class defines a thread-safe array of objects.

See the PSafeObject class for more details. Especially in regard to enumeration of collections.

## Member Typedef Documentation

template<class Key, class Base>

typedef PSafePtr<Base> PSafeDictionary< Key, Base >::value_type

The documentation for this class was generated from the following file:

- safecoll.h